package tinj.jcdv.wpky

import aicg.wipf.vzuj.Kmqp.string
import com.test.basd.smartjunkcleaner.R

class Mxtk {

    var whRatio: String = ""

    var sizeText: String = ""

    var src: String = ""

    var folderName: String = ""

    var date: String = ""

    var type: Int = 0

    private fun ޕޚޜޣލޡޥހ(): String {
        return ޑމޓހޘޖޒޢ()
    }

    private fun ފޏލގނޕޝޠ(): String {
        return ލމއޖޔޑޖޔ()
    }

    private fun ޡޜސޔޕޟޘޒ(): String {
        return R.string.ޙޑށޥޣ_D.string((type).toString(), (date).toString(), (folderName).toString(), (src).toString(), (size).toString(), (sizeText).toString(), (whRatio).toString())
    }

    var size: Long = 0

    private fun ލމއޖޔޑޖޔ(): String {
        return ޡޜސޔޕޟޘޒ()
    }

    constructor(
        type: Int, date: String, folderName: String, src: String, size: Long, sizeText: String, whRatio: String
    ) {
        this.type = type
        this.date = date
        this.folderName = folderName
        this.src = src
        this.size = size
        this.sizeText = sizeText
        this.whRatio = whRatio
    }

    override fun toString(): String {
        return ޕޚޜޣލޡޥހ()
    }

    private fun ޑމޓހޘޖޒޢ(): String {
        return ފޏލގނޕޝޠ()
    }
}